Why don't ActivePython 2.4 and earlier support SSL?

Posted by kevinw on 2006-07-10 14:35
OS: All / Any | Product: ActivePython | tags: activepython crypto library ssl
Question: 

ActivePython 2.4 and earlier do not include SSL support. Why is this, and how can I add it?

Answer: 

*Note*: As of ActivePython 2.5 full SSL support is included.

Here is an answer on python-list while discussing the differences between ActivePython and python.org's Python:

http://mail.python.org/pipermail/python-list/2005-December/315754.html

As Neil pointed out, ActivePython does not currently have SSL
bindings (the _ssl module) that python.org's Python builds do. We
are currently going through the legal hurdles so that we can
include those. I expect that by or before the Python 2.5
timeframe we'll have _ssl in ActivePython.

In the meantime just plopping in the _ssl.pyd or _ssl.so from either python.org's build or from your own build into ActivePython's lib-dynload directory will work to get ActivePython talking SSL.